import React, { ComponentProps } from 'react';
import { sizeType, displayType, variantType } from '../../utils/componentPropsTypes';
interface IButton {
    variant?: variantType;
    label?: string;
    startImage?: React.ReactNode;
    endImage?: React.ReactNode;
    disabled?: boolean;
    size?: sizeType;
    display?: displayType;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
}
declare function Button({ variant, label, startImage, endImage, disabled, size, display, onClick, ...arg }: IButton & Omit<ComponentProps<'input'>, keyof IButton>): JSX.Element;
export default Button;
